Package com.tick42.glue.desktop.layouts

# Enum LayoutImportMode

java.lang.Object
java.lang.Enum<LayoutImportMode>
com.tick42.glue.desktop.layouts.LayoutImportMode

All Implemented Interfaces:
  `Serializable`, `Comparable<LayoutImportMode>`

    public enum LayoutImportMode
    extends Enum<LayoutImportMode>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `MERGE` |
  `REPLACE` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static LayoutImportMode` | `fromString​(String mode)` |
  `String` | `getMode()` |
  `static LayoutImportMode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
  `static LayoutImportMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### REPLACE

    public static final LayoutImportMode REPLACE

  - ### MERGE

    public static final LayoutImportMode MERGE

- ## Method Details

  - ### values

    public static LayoutImportMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static LayoutImportMode valueOf​(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getMode

    public String getMode()

  - ### fromString

    public static LayoutImportMode fromString​(String mode)